﻿window.onload = function() {
  //ボタンの画像にイベントをセット
  var btn = document.getElementById('cbtn');
  btn.addEventListener('click', viewGraph);
}

//グラフを表示する関数
function viewGraph(){
  var carea = document.getElementById('chartarea');
  carea.style.backgroundColor = '#FFDDFF';
  var inames = document.getElementsByClassName('iname');
  var nums = document.getElementsByClassName('num');
  var dnames = document.getElementsByClassName('dname');
  var bars = document.getElementsByClassName('bar');
  var max = 0;
  for (var i = 0; i < 5; i++){
    if (parseInt(nums[i].value) > max){
      max = parseInt(nums[i].value);
    }
  }
  var unit = 400 / max;
  for (var j = 0; j < 5; j++){
    dnames[j].innerText = inames[j].value;
    bars[j].style.width =
      Math.floor(nums[j].value * unit) + 'px';
  }
}