﻿window.onload = function() {
  //ボタンの画像にイベントをセット
  var btn = document.getElementById('cbtn');
  btn.addEventListener('click', viewGraph);
  //プルダウンメニューにイベントをセット
  var btn = document.getElementById('pnum');
  btn.addEventListener('change', setBoxes);
  //入力欄を追加
  setBoxes();
}

//入力欄の要素を追加する関数
function setBoxes(){
  var cnt = 
    parseInt(document.getElementById('pnum').value);
  var isource = '<div><label>氏名' +
    '<input type="text" class="iname"></label>' +
    '<label>成約件数' +
    '<input type="number" class="num"></label>' +
    '</div>';
  var iboxes = document.getElementById('iarea');
  iboxes.innerHTML = Array(cnt + 1).join(isource);
  var carea = document.getElementById('chartarea');
  carea.innerHTML = '';
  carea.style.backgroundColor = 'transparent';
}

//グラフを表示する関数
function viewGraph(){
  var carea = document.getElementById('chartarea');
  carea.style.backgroundColor = '#FFDDFF';
  var csource ='<div><span class="dname"></span>' +
    '<span class="bar"></span></div>';
  var cnt = 
    parseInt(document.getElementById('pnum').value);
  carea.innerHTML = Array(cnt + 1).join(csource); 
  var inames = document.getElementsByClassName('iname');
  var nums = document.getElementsByClassName('num');
  var dnames = document.getElementsByClassName('dname');
  var bars = document.getElementsByClassName('bar');
  var max = 0;
  for (var i = 0; i < cnt; i++){
    if (parseInt(nums[i].value) > max){
      max = parseInt(nums[i].value);
    }
  }
  var unit = 400 / max;
  for (var i = 0; i < cnt; i++){
    dnames[i].innerText = inames[i].value;
    bars[i].style.width =
      Math.floor(nums[i].value * unit) + 'px';
  }
}